stl_iterator_base_funcs.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _InputIterator , typename _Distance >
void | std::__advance (_InputIterator &__i, _Distance __n, input_iterator_tag)
template<typename _BidirectionalIterator , typename _Distance >
void | std::__advance (_BidirectionalIterator &__i, _Distance __n, bidirectional_iterator_tag)
template<typename _RandomAccessIterator , typename _Distance >
void | std::__advance (_RandomAccessIterator &__i, _Distance __n, random_access_iterator_tag)
template<typename _InputIterator >
iterator_traits < _InputIterator > ::difference_type | std::__distance (_InputIterator __first, _InputIterator __last, input_iterator_tag)
template<typename _RandomAccessIterator >
iterator_traits < _RandomAccessIterator > ::difference_type | std::__distance (_RandomAccessIterator __first, _RandomAccessIterator __last, random_access_iterator_tag)
template<typename _InputIterator , typename _Distance >
void | std::advance (_InputIterator &__i, _Distance __n)
template<typename _InputIterator >
iterator_traits < _InputIterator > ::difference_type | std::distance (_InputIterator __first, _InputIterator __last)
template<typename _ForwardIterator >
_ForwardIterator | std::next (_ForwardIterator __x, typename iterator_traits< _ForwardIterator >::difference_type __n=1)
template<typename _BidirectionalIterator >
_BidirectionalIterator | std::prev (_BidirectionalIterator __x, typename iterator_traits< _BidirectionalIterator >::difference_type __n=1)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

This file contains all of the general iterator-related utility functions, such as distance() and advance().

Definition in file stl_iterator_base_funcs.h.